Loading...
Searching...
No Matches
juce::MidiDataConcatenator Class Reference

## Detailed Description

Helper class that takes chunks of incoming midi bytes, packages them into messages, and dispatches them to a midi callback.

The documentation for this class was generated from the following file:

- juce_audio_basics/midi/juce_MidiDataConcatenator.h

## Public Member Functions

| MidiDataConcatenator (int initialBufferSize)
| MidiDataConcatenator (MidiDataConcatenator &&) noexcept=default
MidiDataConcatenator & | operator= (MidiDataConcatenator &&) noexcept=default
void | reset ()
template<typename UserDataType, typename CallbackType>
void | pushMidiData (Span< const std::byte > bytes, double time, UserDataType *input, CallbackType &callback)
template<typename UserDataType, typename CallbackType>
void | pushMidiData (const void *inputData, int numBytes, double time, UserDataType *input, CallbackType &callback)

## Constructors and Destructors

## MidiDataConcatenator() [1/2]

juce::MidiDataConcatenator::MidiDataConcatenator | ( | int | initialBufferSize | ) |

inline

Referenced by MidiDataConcatenator(), and operator=().

## MidiDataConcatenator() [2/2]

juce::MidiDataConcatenator::MidiDataConcatenator | ( | MidiDataConcatenator && |  | ) |

default noexcept

References MidiDataConcatenator().

## Member Functions

## operator=()

MidiDataConcatenator & juce::MidiDataConcatenator::operator= | ( | MidiDataConcatenator && |  | ) |

default noexcept

References MidiDataConcatenator().

## reset()

void juce::MidiDataConcatenator::reset | ( |  | ) |

inline

References reset().

Referenced by reset().

## pushMidiData() [1/2]

template<typename UserDataType, typename CallbackType>

void juce::MidiDataConcatenator::pushMidiData | ( | Span< const std::byte > | bytes,
|  | double | time,
|  | UserDataType * | input,
|  | CallbackType & | callback )

inline

References juce::Span< Value, Extent >::begin(), juce::Span< Value, Extent >::data(), juce::Span< Value, Extent >::end(), jassertfalse, juce::lastSysex, juce::notSysex, juce::ongoingSysex, and juce::unalignedPointerCast().

Referenced by pushMidiData().

## pushMidiData() [2/2]

template<typename UserDataType, typename CallbackType>

void juce::MidiDataConcatenator::pushMidiData | ( | const void * | inputData,
|  | int | numBytes,
|  | double | time,
|  | UserDataType * | input,
|  | CallbackType & | callback )

inline

References pushMidiData().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited